---
title: Window.ondeviceorientationabsolute
slug: Web/API/Window/ondeviceorientationabsolute
tags:
  - API
  - Device Orientation
  - Mobile
  - Orientation
  - Property
---
<p>{{ ApiRef() }}{{Non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>An event handler for the {{ event("deviceorientationabsolute") }} event containing information about an absolute device orientation change.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.ondeviceorientationabsolute = function(event) { ... };
window.addEventListener('deviceorientationabsolute', function(event) { ... });
</pre>

<h2 id="Specifications">Specifications</h2>

<p>This event handler is not currently part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.ondeviceorientationabsolute")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ event("deviceorientation") }}</li>
 <li>{{ domxref("DeviceOrientationEvent") }}</li>
 <li>{{domxref("Window.ondeviceorientation","ondeviceorientation")}}</li>
 <li><a href="/en/Detecting_device_orientation" title="Detecting device orientation">Detecting device orientation</a></li>
</ul>
